BorlandCCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.borland.BorlandCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.borland
Class BorlandCCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.compiler.PrecompilingCommandLineCompiler
                      net.sf.antcontrib.cpptasks.compiler.PrecompilingCommandLineCCompiler
                          net.sf.antcontrib.cpptasks.borland.BorlandCCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, PrecompilingCompiler, Processor

    public class BorlandCCompiler

extends PrecompilingCommandLineCCompiler

Adapter for the Borland(r) C/C++ compiler.

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`protected void` | `addImpliedArgs(java.util.Vector args, boolean debug, boolean multithreaded, boolean exceptions, LinkType linkType, java.lang.Boolean rtti, OptimizationEnum optimization)`
`protected void` | `addWarningSwitch(java.util.Vector args, int level)`
`Processor` | `changeEnvironment(boolean newEnvironment, org.apache.tools.ant.types.Environment env)`
`protected CompilerConfiguration` | `createPrecompileGeneratingConfig(CommandLineCompilerConfiguration baseConfig, java.io.File prototype, java.lang.String lastInclude)`
`protected CompilerConfiguration` | `createPrecompileUsingConfig(CommandLineCompilerConfiguration baseConfig, java.io.File prototype, java.lang.String lastInclude, java.lang.String[] exceptFiles)`
`protected void` | `getDefineSwitch(java.lang.StringBuffer buffer, java.lang.String define, java.lang.String value)`
`protected java.io.File[]` | `getEnvironmentIncludePath()`
`protected java.lang.String` | `getIncludeDirSwitch(java.lang.String includeDir)`
`static BorlandCCompiler` | `getInstance()`
`Linker` | `getLinker(LinkType type)` Gets the linker that is associated with this processors
`int` | `getMaximumCommandLength()`
`protected void` | `getUndefineSwitch(java.lang.StringBuffer buffer, java.lang.String define)`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.PrecompilingCommandLineCCompiler
`createParser`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.PrecompilingCommandLineCompiler
`createPrecompileConfigurations`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addIncludes, buildDefineArguments, compile, createConfiguration, getArgumentCountPerInputFile, getCommand, getIdentifier, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid`

Method Detail

### getInstance

    public static BorlandCCompiler getInstance()

### addImpliedArgs

    protected void addImpliedArgs(java.util.Vector args,
                                  boolean debug,
                                  boolean multithreaded,
                                  boolean exceptions,
                                  LinkType linkType,
                                  java.lang.Boolean rtti,
                                  OptimizationEnum optimization)

  Specified by:
    `addImpliedArgs` in class `CommandLineCompiler`

### addWarningSwitch

    protected void addWarningSwitch(java.util.Vector args,
                                    int level)

  Specified by:
    `addWarningSwitch` in class `CommandLineCompiler`

### changeEnvironment

    public Processor changeEnvironment(boolean newEnvironment,
                                       org.apache.tools.ant.types.Environment env)

  Specified by:
    `changeEnvironment` in interface `Processor`
  Overrides:
    `changeEnvironment` in class `AbstractProcessor`

### createPrecompileGeneratingConfig

    protected CompilerConfiguration createPrecompileGeneratingConfig(CommandLineCompilerConfiguration baseConfig,
                                                                     java.io.File prototype,
                                                                     java.lang.String lastInclude)

  Specified by:
    `createPrecompileGeneratingConfig` in class `PrecompilingCommandLineCompiler`

### createPrecompileUsingConfig

    protected CompilerConfiguration createPrecompileUsingConfig(CommandLineCompilerConfiguration baseConfig,
                                                                java.io.File prototype,
                                                                java.lang.String lastInclude,
                                                                java.lang.String[] exceptFiles)

  Specified by:
    `createPrecompileUsingConfig` in class `PrecompilingCommandLineCompiler`

### getDefineSwitch

    protected void getDefineSwitch(java.lang.StringBuffer buffer,
                                   java.lang.String define,
                                   java.lang.String value)

  Specified by:
    `getDefineSwitch` in class `CommandLineCompiler`

### getEnvironmentIncludePath

    protected java.io.File[] getEnvironmentIncludePath()

  Specified by:
    `getEnvironmentIncludePath` in class `CommandLineCompiler`

### getIncludeDirSwitch

    protected java.lang.String getIncludeDirSwitch(java.lang.String includeDir)

  Specified by:
    `getIncludeDirSwitch` in class `CommandLineCompiler`

### getLinker

    public Linker getLinker(LinkType type)

  Description copied from interface: `Processor`
  Gets the linker that is associated with this processors

### getMaximumCommandLength

    public int getMaximumCommandLength()

  Specified by:
    `getMaximumCommandLength` in class `CommandLineCompiler`

### getUndefineSwitch

    protected void getUndefineSwitch(java.lang.StringBuffer buffer,
                                     java.lang.String define)

  Specified by:
    `getUndefineSwitch` in class `CommandLineCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.